package com.tzld.piaoquan.growth.common.model.po;

import java.util.Date;

public class SendMessage {
    private Long id;

    private Long corpId;

    private Long staffId;

    private Long userId;

    private Long videoId1;

    private Long videoId2;

    private Long videoId3;

    private Integer isSend;

    private Date createTime;

    private Date updateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCorpId() {
        return corpId;
    }

    public void setCorpId(Long corpId) {
        this.corpId = corpId;
    }

    public Long getStaffId() {
        return staffId;
    }

    public void setStaffId(Long staffId) {
        this.staffId = staffId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getVideoId1() {
        return videoId1;
    }

    public void setVideoId1(Long videoId1) {
        this.videoId1 = videoId1;
    }

    public Long getVideoId2() {
        return videoId2;
    }

    public void setVideoId2(Long videoId2) {
        this.videoId2 = videoId2;
    }

    public Long getVideoId3() {
        return videoId3;
    }

    public void setVideoId3(Long videoId3) {
        this.videoId3 = videoId3;
    }

    public Integer getIsSend() {
        return isSend;
    }

    public void setIsSend(Integer isSend) {
        this.isSend = isSend;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", corpId=").append(corpId);
        sb.append(", staffId=").append(staffId);
        sb.append(", userId=").append(userId);
        sb.append(", videoId1=").append(videoId1);
        sb.append(", videoId2=").append(videoId2);
        sb.append(", videoId3=").append(videoId3);
        sb.append(", isSend=").append(isSend);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append("]");
        return sb.toString();
    }
}